Package org.springframework.beans.factory

# Interface InitializingBean

All Known Implementing Classes:
  `AbstractFactoryBean`, `AbstractServiceLoaderBasedFactoryBean`, `BeanConfigurerSupport`, `FieldRetrievingFactoryBean`, `ListFactoryBean`, `MapFactoryBean`, `MethodInvokingBean`, `MethodInvokingFactoryBean`, `ObjectFactoryCreatingFactoryBean`, `PreferencesPlaceholderConfigurer`, `PropertiesFactoryBean`, `ProviderCreatingFactoryBean`, `ServiceFactoryBean`, `ServiceListFactoryBean`, `ServiceLoaderFactoryBean`, `ServiceLocatorFactoryBean`, `SetFactoryBean`, `YamlMapFactoryBean`, `YamlPropertiesFactoryBean`

public interface InitializingBean
Interface to be implemented by beans that need to react once all their properties have been set by a `BeanFactory`: for example, to perform custom initialization, or merely to check that all mandatory properties have been set.

An alternative to implementing `InitializingBean` is specifying a custom init method, for example in an XML bean definition. For a list of all bean lifecycle methods, see the `BeanFactory javadocs`.

Author:
  Rod Johnson, Juergen Hoeller
See Also:
  - `DisposableBean`
  - `BeanDefinition.getPropertyValues()`
  - `AbstractBeanDefinition.getInitMethodName()`

## Method Summary

Modifier and Type
Method
Description
`void`
`afterPropertiesSet()`
Invoked by the containing `BeanFactory` after it has set all bean properties and satisfied `BeanFactoryAware`, `ApplicationContextAware` etc.

## Method Details

### afterPropertiesSet

void afterPropertiesSet() throws Exception
Invoked by the containing `BeanFactory` after it has set all bean properties and satisfied `BeanFactoryAware`, `ApplicationContextAware` etc.

This method allows the bean instance to perform validation of its overall configuration and final initialization when all bean properties have been set.

Throws:
  `Exception` - in the event of misconfiguration (such as failure to set an essential property) or if initialization fails for any other reason